Home
Reading
Searching
Subscribe
Sponsors
Statistics
Posting
Contact
Spam
Lists
Links
About
Hosting
Filtering
Features Download
Marketing
Archives
FAQ
Blog
 
Gmane
From: <updates <at> fedoraproject.org>
Subject: [SECURITY] Fedora 18 Update: poppler-0.20.2-16.fc18
Newsgroups: gmane.linux.redhat.fedora.package.announce
Date: Tuesday 3rd September 2013 22:27:22 UTC (over 3 years ago)
--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2013-15013
2013-08-19 20:22:10
--------------------------------------------------------------------------------

Name        : poppler
Product     : Fedora 18
Version     : 0.20.2
Release     : 16.fc18
URL         : http://poppler.freedesktop.org/
Summary     : PDF rendering library
Description :
Poppler, a PDF rendering library, is a fork of the xpdf PDF
viewer developed by Derek Noonburg of Glyph and Cog, LLC.

--------------------------------------------------------------------------------
Update Information:

This update fixes a problem with escaping of error messages
(CVE-2012-2142).
--------------------------------------------------------------------------------
ChangeLog:

* Mon Aug 19 2013 Marek Kasik  0.20.2-16
- Fixes CVE-2012-2142 (escape error messages)
- Resolves: #995400
* Tue Apr  2 2013 Marek Kasik  0.20.2-15
- Fix loop condition in FormFieldChoice::updateSelection()
* Tue Apr  2 2013 Marek Kasik  0.20.2-14
- Use correct variable in FormFieldChoice::FormFieldChoice()
- Resolves: #947426
* Thu Mar 28 2013 Marek Kasik  0.20.2-13
- Check state->getFont() for NULL in TextPage::beginWord()
- Resolves: #919055
* Wed Mar 20 2013 Marek Kasik  0.20.2-12
- Check "cairo" for NULL in setSoftMaskFromImageMask()
- Resolves: #875479
* Thu Mar  7 2013 Marek Kasik  0.20.2-11
- Support parameterized Gouraud shading
- Resolves: #873668
* Tue Mar  5 2013 Marek Kasik  0.20.2-10
- Backport several security fixes:
-   CVE-2013-1788 (Invalid memory accesses)
-   CVE-2013-1789 (Crash on certain documents)
-   CVE-2013-1790 (Read of uninitialized memory)
- Resolves: #917113
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #789936 - CVE-2012-2142 poppler, xpdf: Insufficient
sanitization of escape sequences in the error messages
        https://bugzilla.redhat.com/show_bug.cgi?id=789936
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update poppler' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on
the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
--------------------------------------------------------------------------------
_______________________________________________
package-announce mailing list
[email protected]
https://admin.fedoraproject.org/mailman/listinfo/package-announce
 
CD: 4ms